RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
aln_util.h File Reference
Utilities » Various utilities for Sequence Alignments, and Comparative Structure Prediction

Various utility- and helper-functions for sequence alignments and comparative structure prediction. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | vrna_pinfo_s
| A base pair info structure. More...

## Typedefs
typedef struct vrna_pinfo_s | vrna_pinfo_t
| Typename for the base pair info repesenting data structure vrna_pinfo_s.
typedef struct vrna_pinfo_s | pair_info
| Old typename of vrna_pinfo_s. More...

## Functions
int | vrna_aln_mpi (char *Alseq[], int n_seq, int length, int *mini)
| Get the mean pairwise identity in steps from ?to?(ident) More...
vrna_pinfo_t * | vrna_aln_pinfo (vrna_fold_compound_t *vc, const char *structure, double threshold)
| Retrieve an array of vrna_pinfo_t structures from precomputed pair probabilities. More...
int | get_mpi (char *Alseq[], int n_seq, int length, int *mini)
| Get the mean pairwise identity in steps from ?to?(ident) More...
void | encode_ali_sequence (const char *sequence, short *S, short *s5, short *s3, char *ss, unsigned short *as, int circ)
| Get arrays with encoded sequence of the alignment. More...
void | alloc_sequence_arrays (const char **sequences, short ***S, short ***S5, short ***S3, unsigned short ***a2s, char ***Ss, int circ)
| Allocate memory for sequence array used to deal with aligned sequences. More...
void | free_sequence_arrays (unsigned int n_seq, short ***S, short ***S5, short ***S3, unsigned short ***a2s, char ***Ss)
| Free the memory of the sequence arrays used to deal with aligned sequences. More...

## Detailed Description

Various utility- and helper-functions for sequence alignments and comparative structure prediction.